Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.appserv.web.cache.filter
Class CachingOutputStreamWrapper

    java.lang.Object
      java.io.OutputStream
          javax.servlet.ServletOutputStream
              com.sun.appserv.web.cache.filter.CachingOutputStreamWrapper

public class CachingOutputStreamWrapper
extends ServletOutputStream

an output stream wrapper to cache response bytes

Constructor Summary
`CachingOutputStreamWrapper()`

Method Summary
`void` | `close()` Close this output stream, causing any buffered data to be flushed and any further output data to throw an IOException.
`void` | `flush()` Flush any buffered data for this output stream, which also causes the response to be committed.
`byte[]` | `getBytes()` return the cached bytes
`void` | `write(byte[] b)` Write `b.length` bytes from the specified byte array to our output stream.
`void` | `write(byte[] b, int off, int len)` Write `len` bytes from the specified byte array, starting at the specified offset, to our output stream.
`void` | `write(int b)` Write the specified byte to our output stream.

Methods inherited from class javax.servlet.ServletOutputStream
`print, print, print, print, print, print, print, println, println, println, println, println, println, println, println`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CachingOutputStreamWrapper

    public CachingOutputStreamWrapper()

Method Detail

### write

    public void write(int b)
               throws java.io.IOException

  Write the specified byte to our output stream.

  Parameters:
    `b` - The byte to be written
  Throws:
    `java.io.IOException` - if an input/output error occurs

### write

    public void write(byte[] b)
               throws java.io.IOException

  Write `b.length` bytes from the specified byte array to our output stream.

  Parameters:
    `b` - The byte array to be written
  Throws:
    `java.io.IOException` - if an input/output error occurs

### write

    public void write(byte[] b,
                      int off,
                      int len)
               throws java.io.IOException

  Write `len` bytes from the specified byte array, starting at the specified offset, to our output stream.

  Parameters:
    `b` - The byte array containing the bytes to be written
    `off` - Zero-relative starting offset of the bytes to be written
    `len` - The number of bytes to be written
  Throws:
    `java.io.IOException` - if an input/output error occurs

### flush

    public void flush()
               throws java.io.IOException

  Flush any buffered data for this output stream, which also causes the response to be committed.

  Throws:
    `java.io.IOException`

### close

    public void close()
               throws java.io.IOException

  Close this output stream, causing any buffered data to be flushed and any further output data to throw an IOException.

  Throws:
    `java.io.IOException`

### getBytes

    public byte[] getBytes()

  return the cached bytes

Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature

Copyright 2003 Sun Microsystems, Inc. All rights reserved.